Bug 178478 - DSExportImport.java uses non-standard sun.io class
Summary: DSExportImport.java uses non-standard sun.io class
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Console   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard: 1.0.2
Keywords:
Depends On:
Blocks: 152373 183369 240316
TreeView+ depends on / blocked
 
Reported: 2006-01-20 21:34 UTC by Rich Megginson
Modified: 2015-12-07 17:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 17:04:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rich Megginson 2006-01-20 21:34:28 UTC
Thomas confirmed that we should be using java.io.CharConversionException instead
of sun.io.MalformedInputException - see
http://developer.classpath.org/mediation/ClasspathMigration

Proposed patch:
mport.java.~1.1.1.1.~	2005-07-17 18:55:39.000000000 -0600
--- DSExportImport.java	2006-01-20 13:24:47.000000000 -0700
***************
*** 452,459 ****
  					}
  				}
  				/* Create error message */
! 				String msg;				
! 				if (e instanceof sun.io.MalformedInputException) {
  					String[] args = {String.valueOf(_numEntry), 
  									 e.toString()};					
  					msg = DSUtil._resource.getString("import", "malformedinputerror-label",
args);
--- 452,460 ----
  					}
  				}
  				/* Create error message */
! 				String msg;
!                 /* see if there was an invalid char in the input e.g. a
non-utf8 8 bit char */
! 				if (e instanceof java.io.CharConversionException) {
  					String[] args = {String.valueOf(_numEntry), 
  									 e.toString()};					
  					msg = DSUtil._resource.getString("import", "malformedinputerror-label",
args);

Comment 1 Rich Megginson 2006-02-09 19:04:55 UTC
Reviewed by: Nathan, Noriko (Thanks!)
Files: directoryconsole/src/com/netscape/admin/dirserv/DSExportImport.java
Branch: HEAD
Fix Description: Use java.io.CharConversionException instead.
Platforms tested: Fedora Core 4
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none

Comment 2 Nathan Kinder 2007-12-20 19:35:44 UTC
Verified that we're no tusing any sun.io classes in the directoryconsole code.

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.